Index: /code/branches/presentation2/src/libraries/core/CommandLineParser.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/CommandLineParser.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/CommandLineParser.cc	(revision 6394)
@@ -63,5 +63,5 @@
                 this->value_ = temp;
             }
-            else if (value == "")
+            else if (value.empty())
             {
                 this->bHasDefaultValue_ = false;
@@ -140,5 +140,5 @@
                     OrxAssert(cmdLineArgsShortcut_.find(it->second->getShortcut()) == cmdLineArgsShortcut_.end(),
                         "Cannot have two command line shortcut with the same name.");
-                    if (it->second->getShortcut() != "")
+                    if (!it->second->getShortcut().empty())
                         cmdLineArgsShortcut_[it->second->getShortcut()] = it->second;
                 }
@@ -165,5 +165,5 @@
                         {
                             // negative number as a value
-                            value += arguments[i] + " ";
+                            value += arguments[i] + ' ';
                         }
                         else
@@ -173,15 +173,15 @@
                             // save old data first
                             value = removeTrailingWhitespaces(value);
-                            if (name != "")
+                            if (!name.empty())
                             {
                                 checkFullArgument(name, value, bParsingFile);
-                                name = "";
-                                assert(shortcut == "");
+                                name.clear();
+                                assert(shortcut.empty());
                             }
-                            else if (shortcut != "")
+                            else if (!shortcut.empty())
                             {
                                 checkShortcut(shortcut, value, bParsingFile);
-                                shortcut = "";
-                                assert(name == "");
+                                shortcut.clear();
+                                assert(name.empty());
                             }
 
@@ -198,5 +198,5 @@
 
                             // reset value string
-                            value = "";
+                            value.clear();
                         }
                     }
@@ -205,5 +205,5 @@
                         // value string
 
-                        if (name == "" && shortcut == "")
+                        if (name.empty() && shortcut.empty())
                         {
                             ThrowException(Argument, "Expected \"-\" or \"-\" in command line arguments.\n");
@@ -218,13 +218,13 @@
             // parse last argument
             value = removeTrailingWhitespaces(value);
-            if (name != "")
+            if (!name.empty())
             {
                 checkFullArgument(name, value, bParsingFile);
-                assert(shortcut == "");
-            }
-            else if (shortcut != "")
+                assert(shortcut.empty());
+            }
+            else if (!shortcut.empty())
             {
                 checkShortcut(shortcut, value, bParsingFile);
-                assert(name == "");
+                assert(name.empty());
             }
         }
@@ -291,9 +291,9 @@
             it != inst.cmdLineArgs_.end(); ++it)
         {
-            if (it->second->getShortcut() != "")
+            if (!it->second->getShortcut().empty())
                 infoStr << " [-" << it->second->getShortcut() << "] ";
             else
                 infoStr << "      ";
-            infoStr << "--" << it->second->getName() << " ";
+            infoStr << "--" << it->second->getName() << ' ';
             if (it->second->getValue().getType() != MT_Type::Bool)
                 infoStr << "ARG ";
@@ -347,5 +347,5 @@
     void CommandLineParser::_parseFile()
     {
-        std::string filename = CommandLineParser::getValue("optionsFile").getString();
+        const std::string& filename = CommandLineParser::getValue("optionsFile").getString();
 
         // look for additional arguments in given file or start.ini as default
Index: /code/branches/presentation2/src/libraries/core/ConfigFileManager.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/ConfigFileManager.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/ConfigFileManager.cc	(revision 6394)
@@ -99,5 +99,5 @@
             this->value_ = value;
         else
-            this->value_ = "\"" + addSlashes(stripEnclosingQuotes(value)) + "\"";
+            this->value_ = '"' + addSlashes(stripEnclosingQuotes(value)) + '"';
     }
 
@@ -112,8 +112,8 @@
     std::string ConfigFileEntryValue::getFileEntry() const
     {
-        if (this->additionalComment_ == "" || this->additionalComment_.size() == 0)
-            return (this->name_ + "=" + this->value_);
-        else
-            return (this->name_ + "=" + this->value_ + " " + this->additionalComment_);
+        if (this->additionalComment_.empty())
+            return (this->name_ + '=' + this->value_);
+        else
+            return (this->name_ + '=' + this->value_ + " " + this->additionalComment_);
     }
 
@@ -124,8 +124,8 @@
     std::string ConfigFileEntryVectorValue::getFileEntry() const
     {
-        if (this->additionalComment_ == "" || this->additionalComment_.size() == 0)
-            return (this->name_ + "[" + multi_cast<std::string>(this->index_) + "]" + "=" + this->value_);
-        else
-            return (this->name_ + "[" + multi_cast<std::string>(this->index_) + "]=" + this->value_ + " " + this->additionalComment_);
+        if (this->additionalComment_.empty())
+            return (this->name_ + '[' + multi_cast<std::string>(this->index_) + ']' + '=' + this->value_);
+        else
+            return (this->name_ + '[' + multi_cast<std::string>(this->index_) + "]=" + this->value_ + ' ' + this->additionalComment_);
     }
 
@@ -171,8 +171,8 @@
     std::string ConfigFileSection::getFileEntry() const
     {
-        if (this->additionalComment_ == "" || this->additionalComment_.size() == 0)
-            return ("[" + this->name_ + "]");
-        else
-            return ("[" + this->name_ + "] " + this->additionalComment_);
+        if (this->additionalComment_.empty())
+            return ('[' + this->name_ + ']');
+        else
+            return ('[' + this->name_ + "] " + this->additionalComment_);
     }
 
@@ -251,5 +251,5 @@
                 std::getline(file, line);
 
-                std::string temp = getStripped(line);
+                const std::string& temp = getStripped(line);
                 if (!isEmpty(temp) && !isComment(temp))
                 {
@@ -261,5 +261,5 @@
                     {
                         // New section
-                        std::string comment = line.substr(pos2 + 1);
+                        const std::string& comment = line.substr(pos2 + 1);
                         if (isComment(comment))
                             newsection = new ConfigFileSection(line.substr(pos1 + 1, pos2 - pos1 - 1), comment);
@@ -293,5 +293,5 @@
                                 commentposition = getNextCommentPosition(line, commentposition + 1);
                             }
-                            std::string value = "", comment = "";
+                            std::string value, comment;
                             if (commentposition == std::string::npos)
                             {
Index: /code/branches/presentation2/src/libraries/core/ConfigFileManager.h
===================================================================
--- /code/branches/presentation2/src/libraries/core/ConfigFileManager.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/ConfigFileManager.h	(revision 6394)
@@ -89,5 +89,10 @@
     {
         public:
-            inline ConfigFileEntryValue(const std::string& name, const std::string& value = "", bool bString = false, const std::string& additionalComment = "") : name_(name), value_(value), bString_(bString), additionalComment_(additionalComment) {}
+            inline ConfigFileEntryValue(const std::string& name, const std::string& value = "", bool bString = false, const std::string& additionalComment = "")
+                : name_(name)
+                , value_(value)
+                , bString_(bString)
+                , additionalComment_(additionalComment)
+                {}
             inline virtual ~ConfigFileEntryValue() {}
 
@@ -173,5 +178,9 @@
 
         public:
-            inline ConfigFileSection(const std::string& name, const std::string& additionalComment = "") : name_(name), additionalComment_(additionalComment), bUpdated_(false) {}
+            inline ConfigFileSection(const std::string& name, const std::string& additionalComment = "")
+                : name_(name)
+                , additionalComment_(additionalComment)
+                , bUpdated_(false)
+                {}
             ~ConfigFileSection();
 
@@ -244,10 +253,10 @@
                 { this->getSection(section)->setValue(name, value, bString); this->save(); }
             inline std::string getValue(const std::string& section, const std::string& name, const std::string& fallback, bool bString)
-                { std::string output = this->getSection(section)->getValue(name, fallback, bString); this->saveIfUpdated(); return output; }
+                { const std::string& output = this->getSection(section)->getValue(name, fallback, bString); this->saveIfUpdated(); return output; }
 
             inline void setValue(const std::string& section, const std::string& name, unsigned int index, const std::string& value, bool bString)
                 { this->getSection(section)->setValue(name, index, value, bString); this->save(); }
             inline std::string getValue(const std::string& section, const std::string& name, unsigned int index, const std::string& fallback, bool bString)
-                { std::string output = this->getSection(section)->getValue(name, index, fallback, bString); this->saveIfUpdated(); return output; }
+                { const std::string& output = this->getSection(section)->getValue(name, index, fallback, bString); this->saveIfUpdated(); return output; }
 
             inline void deleteVectorEntries(const std::string& section, const std::string& name, unsigned int startindex = 0)
Index: /code/branches/presentation2/src/libraries/core/ConsoleCommandCompilation.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/ConsoleCommandCompilation.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/ConsoleCommandCompilation.cc	(revision 6394)
@@ -35,4 +35,5 @@
 #include "util/Debug.h"
 #include "util/ExprParser.h"
+#include "util/StringUtils.h"
 #include "ConsoleCommand.h"
 
@@ -142,5 +143,5 @@
         }
 
-        std::string output = "";
+        std::string output;
         while (file.good() && !file.eof())
         {
@@ -166,7 +167,7 @@
                 COUT(3) << "Greetings from the restaurant at the end of the universe." << std::endl;
             }
-            if (expr.getRemains() != "")
+            if (!expr.getRemains().empty())
             {
-                COUT(2) << "Warning: Expression could not be parsed to the end! Remains: '" << expr.getRemains() << "'" << std::endl;
+                COUT(2) << "Warning: Expression could not be parsed to the end! Remains: '" << expr.getRemains() << '\'' << std::endl;
             }
             return static_cast<float>(expr.getResult());
Index: /code/branches/presentation2/src/libraries/core/DynLib.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/DynLib.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/DynLib.cc	(revision 6394)
@@ -70,5 +70,5 @@
         COUT(2) << "Loading module " << mName << std::endl;
 
-        std::string name = mName;
+        const std::string& name = mName;
 #ifdef ORXONOX_PLATFORM_LINUX
         // dlopen() does not add .so to the filename, like windows does for .dll
@@ -132,5 +132,5 @@
         return std::string(mac_errorBundle());
 #else
-        return std::string("");
+        return "";
 #endif
     }
Index: /code/branches/presentation2/src/libraries/core/Event.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/Event.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Event.cc	(revision 6394)
@@ -53,5 +53,5 @@
         if (this->bProcessingEvent_)
         {
-            COUT(2) << "Warning: Detected Event loop in section \"" << event.statename_ << "\" of object \"" << object->getName() << "\" and fired by \"" << event.originator_->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in section \"" << event.statename_ << "\" of object \"" << object->getName() << "\" and fired by \"" << event.originator_->getName() << '"' << std::endl;
             return;
         }
Index: /code/branches/presentation2/src/libraries/core/EventIncludes.h
===================================================================
--- /code/branches/presentation2/src/libraries/core/EventIncludes.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/EventIncludes.h	(revision 6394)
@@ -66,6 +66,6 @@
 
 #define XMLPortEventStateIntern(name, classname, statename, xmlelement, mode) \
-    static orxonox::ExecutorMember<classname>* xmlsetfunctor##name = (orxonox::ExecutorMember<classname>*)&orxonox::createExecutor(orxonox::createFunctor(&classname::addEventSource), std::string( #classname ) + "::" + "addEventSource" + "(" + statename + ")")->setDefaultValue(1, statename); \
-    static orxonox::ExecutorMember<classname>* xmlgetfunctor##name = (orxonox::ExecutorMember<classname>*)&orxonox::createExecutor(orxonox::createFunctor(&classname::getEventSource), std::string( #classname ) + "::" + "getEventSource" + "(" + statename + ")")->setDefaultValue(1, statename); \
+    static orxonox::ExecutorMember<classname>* xmlsetfunctor##name = (orxonox::ExecutorMember<classname>*)&orxonox::createExecutor(orxonox::createFunctor(&classname::addEventSource), std::string( #classname ) + "::" + "addEventSource" + '(' + statename + ')')->setDefaultValue(1, statename); \
+    static orxonox::ExecutorMember<classname>* xmlgetfunctor##name = (orxonox::ExecutorMember<classname>*)&orxonox::createExecutor(orxonox::createFunctor(&classname::getEventSource), std::string( #classname ) + "::" + "getEventSource" + '(' + statename + ')')->setDefaultValue(1, statename); \
     XMLPortObjectGeneric(xmlport##name, classname, orxonox::BaseObject, statename, xmlsetfunctor##name, xmlgetfunctor##name, xmlelement, mode, false, true)
 
Index: /code/branches/presentation2/src/libraries/core/Executor.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/Executor.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Executor.cc	(revision 6394)
@@ -73,6 +73,5 @@
         {
             // only one param: check if there are params given, otherwise try to use default values
-            std::string temp = getStripped(params);
-            if ((temp != "") && (temp.size() != 0))
+            if (!getStripped(params).empty())
             {
                 param[0] = params;
Index: /code/branches/presentation2/src/libraries/core/Executor.h
===================================================================
--- /code/branches/presentation2/src/libraries/core/Executor.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Executor.h	(revision 6394)
@@ -63,6 +63,6 @@
     else if (paramCount == 1) \
     { \
-        std::string temp = getStripped(params); \
-        if ((temp != "") && (temp.size() != 0)) \
+        const std::string& temp = getStripped(params); \
+        if (!temp.empty()) \
         { \
             COUT(5) << "Calling Executor " << this->name_ << " through parser with one parameter, using whole string: " << params << std::endl; \
@@ -187,5 +187,5 @@
                 { return this->functor_->getTypenameReturnvalue(); }
 
-            inline void setName(const std::string name)
+            inline void setName(const std::string& name)
                 { this->name_ = name; }
             inline const std::string& getName() const
Index: /code/branches/presentation2/src/libraries/core/Functor.h
===================================================================
--- /code/branches/presentation2/src/libraries/core/Functor.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Functor.h	(revision 6394)
@@ -35,5 +35,4 @@
 #include "util/Debug.h"
 #include "util/MultiType.h"
-#include "util/StringUtils.h"
 
 namespace orxonox
Index: /code/branches/presentation2/src/libraries/core/GraphicsManager.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/GraphicsManager.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/GraphicsManager.cc	(revision 6394)
@@ -208,5 +208,5 @@
                 shared_array<char> data(new char[output.str().size()]);
                 // Debug optimisations
-                const std::string outputStr = output.str();
+                const std::string& outputStr = output.str();
                 char* rawData = data.get();
                 for (unsigned i = 0; i < outputStr.size(); ++i)
@@ -238,10 +238,10 @@
         COUT(3) << "Setting up Ogre..." << std::endl;
 
-        if (ogreConfigFile_ == "")
+        if (ogreConfigFile_.empty())
         {
             COUT(2) << "Warning: Ogre config file set to \"\". Defaulting to config.cfg" << std::endl;
             ModifyConfigValue(ogreConfigFile_, tset, "config.cfg");
         }
-        if (ogreLogFile_ == "")
+        if (ogreLogFile_.empty())
         {
             COUT(2) << "Warning: Ogre log file set to \"\". Defaulting to ogre.log" << std::endl;
@@ -285,6 +285,6 @@
     {
         // just to make sure the next statement doesn't segfault
-        if (ogrePluginsDirectory_ == "")
-            ogrePluginsDirectory_ = ".";
+        if (ogrePluginsDirectory_.empty())
+            ogrePluginsDirectory_ = '.';
 
         boost::filesystem::path folder(ogrePluginsDirectory_);
Index: /code/branches/presentation2/src/libraries/core/IOConsole.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/IOConsole.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/IOConsole.cc	(revision 6394)
@@ -307,5 +307,5 @@
         this->cout_ << "\033[u";
         if (this->buffer_->getCursorPosition() > 0)
-            this->cout_ << "\033[" << this->buffer_->getCursorPosition() << "C";
+            this->cout_ << "\033[" << this->buffer_->getCursorPosition() << 'C';
     }
 
Index: /code/branches/presentation2/src/libraries/core/IRC.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/IRC.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/IRC.cc	(revision 6394)
@@ -33,4 +33,5 @@
 #include "util/Convert.h"
 #include "util/Exception.h"
+#include "util/StringUtils.h"
 #include "ConsoleCommand.h"
 #include "CoreIncludes.h"
@@ -103,5 +104,5 @@
     void IRC::say(const std::string& message)
     {
-        if (IRC::eval("irk::say $conn #orxonox {" + message + "}"))
+        if (IRC::eval("irk::say $conn #orxonox {" + message + '}'))
             IRC::tcl_say(Tcl::object(), Tcl::object(IRC::getInstance().nickname_), Tcl::object(message));
     }
@@ -109,5 +110,5 @@
     void IRC::msg(const std::string& channel, const std::string& message)
     {
-        if (IRC::eval("irk::say $conn " + channel + " {" + message + "}"))
+        if (IRC::eval("irk::say $conn " + channel + " {" + message + '}'))
             IRC::tcl_privmsg(Tcl::object(channel), Tcl::object(IRC::getInstance().nickname_), Tcl::object(message));
     }
@@ -131,5 +132,5 @@
     void IRC::tcl_action(Tcl::object const &channel, Tcl::object const &nick, Tcl::object const &args)
     {
-        COUT(0) << "IRC> * " << nick.get() << " " << stripEnclosingBraces(args.get()) << std::endl;
+        COUT(0) << "IRC> * " << nick.get() << ' ' << stripEnclosingBraces(args.get()) << std::endl;
     }
 
Index: /code/branches/presentation2/src/libraries/core/Identifier.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/Identifier.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Identifier.cc	(revision 6394)
@@ -410,5 +410,5 @@
         if (it != this->configValues_.end())
         {
-            COUT(2) << "Warning: Overwriting config-value with name " << varname << " in class " << this->getName() << "." << std::endl;
+            COUT(2) << "Warning: Overwriting config-value with name " << varname << " in class " << this->getName() << '.' << std::endl;
             delete (it->second);
         }
@@ -458,5 +458,5 @@
         if (it != this->consoleCommands_.end())
         {
-            COUT(2) << "Warning: Overwriting console-command with name " << command->getName() << " in class " << this->getName() << "." << std::endl;
+            COUT(2) << "Warning: Overwriting console-command with name " << command->getName() << " in class " << this->getName() << '.' << std::endl;
             delete (it->second);
         }
@@ -524,5 +524,5 @@
         if (it != this->xmlportParamContainers_.end())
         {
-            COUT(2) << "Warning: Overwriting XMLPortParamContainer in class " << this->getName() << "." << std::endl;
+            COUT(2) << "Warning: Overwriting XMLPortParamContainer in class " << this->getName() << '.' << std::endl;
             delete (it->second);
         }
@@ -555,5 +555,5 @@
         if (it != this->xmlportObjectContainers_.end())
         {
-            COUT(2) << "Warning: Overwriting XMLPortObjectContainer in class " << this->getName() << "." << std::endl;
+            COUT(2) << "Warning: Overwriting XMLPortObjectContainer in class " << this->getName() << '.' << std::endl;
             delete (it->second);
         }
@@ -573,5 +573,5 @@
         {
             if (it != list.begin())
-                out << " ";
+                out << ' ';
             out << (*it)->getName();
         }
Index: /code/branches/presentation2/src/libraries/core/Identifier.h
===================================================================
--- /code/branches/presentation2/src/libraries/core/Identifier.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Identifier.h	(revision 6394)
@@ -411,5 +411,5 @@
     {
         // Get the name of the class
-        std::string name = typeid(T).name();
+        const std::string& name = typeid(T).name();
 
         // create a new identifier anyway. Will be deleted in Identifier::getIdentifier if not used.
Index: /code/branches/presentation2/src/libraries/core/Language.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/Language.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Language.cc	(revision 6394)
@@ -62,5 +62,5 @@
     {
         // Check if the translation is more than just an empty string
-        if ((localisation != "") && (localisation.size() > 0))
+        if (!localisation.empty())
         {
             this->localisedEntry_ = localisation;
@@ -130,5 +130,5 @@
         }
 
-        COUT(2) << "Warning: Language entry " << label << " is duplicate in " << getFilename(this->defaultLanguage_) << "!" << std::endl;
+        COUT(2) << "Warning: Language entry " << label << " is duplicate in " << getFilename(this->defaultLanguage_) << '!' << std::endl;
         return it->second;
     }
@@ -199,5 +199,5 @@
         COUT(4) << "Read default language file." << std::endl;
 
-        std::string filepath = PathConfig::getConfigPathString() + getFilename(this->defaultLanguage_);
+        const std::string& filepath = PathConfig::getConfigPathString() + getFilename(this->defaultLanguage_);
 
         // This creates the file if it's not existing
@@ -224,5 +224,5 @@
 
             // Check if the line is empty
-            if ((lineString != "") && (lineString.size() > 0))
+            if (!lineString.empty())
             {
                 size_t pos = lineString.find('=');
@@ -248,5 +248,5 @@
         COUT(4) << "Read translated language file (" << Core::getInstance().getLanguage() << ")." << std::endl;
 
-        std::string filepath = PathConfig::getConfigPathString() + getFilename(Core::getInstance().getLanguage());
+        const std::string& filepath = PathConfig::getConfigPathString() + getFilename(Core::getInstance().getLanguage());
 
         // Open the file
@@ -259,5 +259,5 @@
             COUT(1) << "Error: Couldn't open file " << getFilename(Core::getInstance().getLanguage()) << " to read the translated language entries!" << std::endl;
             Core::getInstance().resetLanguage();
-            COUT(3) << "Info: Reset language to " << this->defaultLanguage_ << "." << std::endl;
+            COUT(3) << "Info: Reset language to " << this->defaultLanguage_ << '.' << std::endl;
             return;
         }
@@ -270,5 +270,5 @@
 
             // Check if the line is empty
-            if ((lineString != "") && (lineString.size() > 0))
+            if (!lineString.empty())
             {
                 size_t pos = lineString.find('=');
@@ -302,5 +302,5 @@
         COUT(4) << "Language: Write default language file." << std::endl;
 
-        std::string filepath = PathConfig::getConfigPathString() + getFilename(this->defaultLanguage_);
+        const std::string& filepath = PathConfig::getConfigPathString() + getFilename(this->defaultLanguage_);
 
         // Open the file
@@ -318,5 +318,5 @@
         for (std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.begin(); it != this->languageEntries_.end(); ++it)
         {
-            file << (*it).second->getLabel() << "=" << (*it).second->getDefault() << std::endl;
+            file << (*it).second->getLabel() << '=' << (*it).second->getDefault() << std::endl;
         }
 
Index: /code/branches/presentation2/src/libraries/core/Loader.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/Loader.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Loader.cc	(revision 6394)
@@ -165,5 +165,5 @@
             rootNamespace->XMLPort(rootElement, XMLPort::LoadObject);
 
-            COUT(0) << "Finished loading " << file->getFilename() << "." << std::endl;
+            COUT(0) << "Finished loading " << file->getFilename() << '.' << std::endl;
 
             COUT(4) << "Namespace-tree:" << std::endl << rootNamespace->toString("  ") << std::endl;
@@ -174,5 +174,5 @@
         {
             COUT(1) << std::endl;
-            COUT(1) << "An XML-error occurred in Loader.cc while loading " << file->getFilename() << ":" << std::endl;
+            COUT(1) << "An XML-error occurred in Loader.cc while loading " << file->getFilename() << ':' << std::endl;
             COUT(1) << ex.what() << std::endl;
             COUT(1) << "Loading aborted." << std::endl;
@@ -182,5 +182,5 @@
         {
             COUT(1) << std::endl;
-            COUT(1) << "A loading-error occurred in Loader.cc while loading " << file->getFilename() << ":" << std::endl;
+            COUT(1) << "A loading-error occurred in Loader.cc while loading " << file->getFilename() << ':' << std::endl;
             COUT(1) << ex.what() << std::endl;
             COUT(1) << "Loading aborted." << std::endl;
@@ -190,5 +190,5 @@
         {
             COUT(1) << std::endl;
-            COUT(1) << "An error occurred in Loader.cc while loading " << file->getFilename() << ":" << std::endl;
+            COUT(1) << "An error occurred in Loader.cc while loading " << file->getFilename() << ':' << std::endl;
             COUT(1) << Exception::handleMessage() << std::endl;
             COUT(1) << "Loading aborted." << std::endl;
@@ -218,5 +218,5 @@
     std::string Loader::replaceLuaTags(const std::string& text)
     {
-        // chreate map with all Lua tags
+        // create map with all Lua tags
         std::map<size_t, bool> luaTags;
         {
@@ -300,5 +300,5 @@
                 {
                     // count ['='[ and ]'='] and replace tags with print([[ and ]])
-                    std::string temp = text.substr(start, end - start);
+                    const std::string& temp = text.substr(start, end - start);
                     {
                     size_t pos = 0;
@@ -345,10 +345,10 @@
                         }
                     }
-                    std::string equalSigns = "";
+                    std::string equalSigns;
                     for(unsigned int i = 0; i < equalSignCounter; i++)
                     {
-                        equalSigns += "=";
+                        equalSigns += '=';
                     }
-                    output << "print([" + equalSigns + "[" + temp + "]" + equalSigns +"])";
+                    output << "print([" + equalSigns + '[' + temp + ']' + equalSigns +"])";
                     start = end + 5;
                 }
Index: /code/branches/presentation2/src/libraries/core/Namespace.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/Namespace.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/Namespace.cc	(revision 6394)
@@ -173,5 +173,5 @@
         {
             if (i > 0)
-                output += "\n";
+                output += '\n';
 
             output += (*it)->toString(indentation);
Index: /code/branches/presentation2/src/libraries/core/NamespaceNode.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/NamespaceNode.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/NamespaceNode.cc	(revision 6394)
@@ -50,5 +50,5 @@
         std::set<NamespaceNode*> nodes;
 
-        if ((name.size() == 0) || (name == ""))
+        if (name.empty())
         {
             nodes.insert(this);
@@ -154,8 +154,8 @@
                     output += ", ";
 
-                output += (*it).second->toString();
+                output += it->second->toString();
             }
 
-            output += ")";
+            output += ')';
         }
 
@@ -165,8 +165,8 @@
     std::string NamespaceNode::toString(const std::string& indentation) const
     {
-        std::string output = (indentation + this->name_ + "\n");
+        std::string output = (indentation + this->name_ + '\n');
 
         for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
-            output += (*it).second->toString(indentation + "  ");
+            output += it->second->toString(indentation + "  ");
 
         return output;
